services:
  gitea:
    image: gitea/gitea:latest-rootless
    user: "${UID}:${GID}"
    environment:
      - GITEA__database__DB_TYPE=postgres
      - GITEA__database__HOST=db:5432
      - GITEA__database__NAME=gitea
      - GITEA__database__USER=gitea
      - "GITEA__database__PASSWD=${AUTOVRTFM_PASSWORD}"
      - "USER_UID=${UID}"
      - "USER_GID=${GID}"
      - "HTTP_PORT=${HTTP_PORT}"
      - "SSH_PORT=${SSH_PORT}"
      - "CERT_FILE=${CERT_FILE}"
      - "KEY_FILE=${KEY_FILE}"
      - "PROTOCOL=${PROTOCOL}"
      - INSTALL_LOCK=true
      - DEFAULT_BRANCH=main
      - DEFAULT_THEME=arc-green
      - SHOW_USER_EMAIL=false
      - ENABLE_FEDERATED_AVATAR=false
      - DISABLE_GRAVATAR=true
      - OFFLINE_MODE=true
      - DISABLE_HTTP_GIT=true
      - ENABLE_PUSH_CREATE_ORG=true
      - ENABLE_PUSH_CREATE_USER=true
      - DEFAULT_EMAIL_NOTIFICATIONS=false
    networks:
      - gitea
    volumes:
      - "${GITEA_APP_INI}:/etc/templates/app.ini"
      - "${GITEA_DATA}:/data"
      - "${GITEA_CERTS}:/certs"
    ports:
      - "${GITEA_HTTP_BIND}:${HTTP_PORT}"
      - "${GITEA_SSH_BIND}:${SSH_PORT}"
    depends_on:
      - db
  db:
    image: postgres:latest
    user: "${UID}:${GID}"
    environment:
      - POSTGRES_USER=gitea
      - POSTGRES_DB=gitea
      - "POSTGRES_PASSWORD=${AUTOVRTFM_PASSWORD}"
    networks:
      - gitea
    volumes:
      - "${GITEA_POSTGRES_DATA}:/var/lib/postgresql/data"

networks:
  gitea:
